Qore Programming Language 0.8.8

- Main Page
- Related Pages
- Modules
- Classes
- Files

- File List
- File Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Macros

- _
- d
- h
- n
- p
- q

All Classes Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages

### - _ -

- _QORE_HAS_DATASOURCE_ACTIVETRANSACTION : QoreLib.h
- _QORE_HAS_DBI_EXECRAW : QoreLib.h
- _QORE_HAS_DBI_OPTIONS : QoreLib.h
- _QORE_HAS_DBI_SELECT_ROW : QoreLib.h
- _QORE_HAS_FILE_OBJECT_HELPER : QoreLib.h
- _QORE_HAS_FIND_CREATE_TIMEZONE : QoreLib.h
- _QORE_HAS_HARD_TYPING : QoreLib.h
- _QORE_HAS_NUMBER_CONS_WITH_PREC : QoreLib.h
- _QORE_HAS_NUMBER_TYPE : QoreLib.h
- _QORE_HAS_PATH_IS_READABLE : QoreLib.h
- _QORE_HAS_PREPARED_STATMENT_API : QoreLib.h
- _QORE_HAS_QOREHTTPCLIENTOBJECT : QoreLib.h
- _QORE_HAS_QUEUE_OBJECT_HELPER : QoreLib.h
- _QORE_HAS_THREAD_RESOURCE_IDS : QoreLib.h
- _QORE_HAS_TIME_ZONES : QoreLib.h

### - d -

- DBI_CAP_AUTORECONNECT : DBI.h
- DBI_CAP_BIND_BY_PLACEHOLDER : DBI.h
- DBI_CAP_BIND_BY_VALUE : DBI.h
- DBI_CAP_CHARSET_SUPPORT : DBI.h
- DBI_CAP_HAS_EXECRAW : DBI.h
- DBI_CAP_HAS_NUMBER_SUPPORT : DBI.h
- DBI_CAP_HAS_OPTION_SUPPORT : DBI.h
- DBI_CAP_HAS_SELECT_ROW : DBI.h
- DBI_CAP_HAS_STATEMENT : DBI.h
- DBI_CAP_LOB_SUPPORT : DBI.h
- DBI_CAP_NONE : DBI.h
- DBI_CAP_SERVER_TIME_ZONE : DBI.h
- DBI_CAP_STORED_PROCEDURES : DBI.h
- DBI_CAP_TIME_ZONE_SUPPORT : DBI.h
- DBI_CAP_TRANSACTION_MANAGEMENT : DBI.h
- DBI_OPT_NUMBER_NUMERIC : DBI.h
- DBI_OPT_NUMBER_OPT : DBI.h
- DBI_OPT_NUMBER_STRING : DBI.h
- DBI_OPT_TIMEZONE : DBI.h

### - h -

- HARD_QORE_BINARY : params.h
- HARD_QORE_BOOL : params.h
- HARD_QORE_DATE : params.h
- HARD_QORE_FLOAT : params.h
- HARD_QORE_HASH : params.h
- HARD_QORE_INT : params.h
- HARD_QORE_LIST : params.h
- HARD_QORE_NUMBER : params.h
- HARD_QORE_OBJECT : params.h
- HARD_QORE_PARAM : params.h
- HARD_QORE_REF : params.h
- HARD_QORE_STRING : params.h

### - n -

- NUM_SIMPLE_TYPES : node_types.h
- NUM_VALUE_TYPES : node_types.h

### - p -

- PO_ALLOW_BARE_REFS : Restrictions.h
- PO_ASSUME_LOCAL : Restrictions.h
- PO_DEFAULT : Restrictions.h
- PO_FREE_OPTIONS : Restrictions.h
- PO_IN_MODULE : Restrictions.h
- PO_INHERITANCE_OPTIONS : Restrictions.h
- PO_LOCK_WARNINGS : Restrictions.h
- PO_LOCKDOWN : Restrictions.h
- PO_NEW_STYLE : Restrictions.h
- PO_NO_CHILD_PO_RESTRICTIONS : Restrictions.h
- PO_NO_CLASS_DEFS : Restrictions.h
- PO_NO_CONSTANT_DEFS : Restrictions.h
- PO_NO_DATABASE : Restrictions.h
- PO_NO_EMBEDDED_LOGIC : Restrictions.h
- PO_NO_EXTERNAL_ACCESS : Restrictions.h
- PO_NO_EXTERNAL_INFO : Restrictions.h
- PO_NO_EXTERNAL_PROCESS : Restrictions.h
- PO_NO_FILESYSTEM : Restrictions.h
- PO_NO_GLOBAL_VARS : Restrictions.h
- PO_NO_GUI : Restrictions.h
- PO_NO_INHERIT_GLOBAL_VARS : Restrictions.h
- PO_NO_INHERIT_USER_FUNC_VARIANTS : Restrictions.h
- PO_NO_IO : Restrictions.h
- PO_NO_LOCALE_CONTROL : Restrictions.h
- PO_NO_MODULES : Restrictions.h
- PO_NO_NAMESPACE_DEFS : Restrictions.h
- PO_NO_NETWORK : Restrictions.h
- PO_NO_NEW : Restrictions.h
- PO_NO_PROCESS_CONTROL : Restrictions.h
- PO_NO_SUBROUTINE_DEFS : Restrictions.h
- PO_NO_SYSTEM_CLASSES : Restrictions.h
- PO_NO_SYSTEM_FUNC_VARIANTS : Restrictions.h
- PO_NO_TERMINAL_IO : Restrictions.h
- PO_NO_THREAD_CLASSES : Restrictions.h
- PO_NO_THREAD_CONTROL : Restrictions.h
- PO_NO_THREAD_INFO : Restrictions.h
- PO_NO_THREADS : Restrictions.h
- PO_NO_TOP_LEVEL_STATEMENTS : Restrictions.h
- PO_NO_USER_CLASSES : Restrictions.h
- PO_POSITIVE_OPTIONS : Restrictions.h
- PO_REQUIRE_BARE_REFS : Restrictions.h
- PO_REQUIRE_OUR : Restrictions.h
- PO_REQUIRE_PROTOTYPES : Restrictions.h
- PO_REQUIRE_TYPES : Restrictions.h
- PO_STRICT_ARGS : Restrictions.h
- PO_STRICT_BOOLEAN_EVAL : Restrictions.h
- PO_SYSTEM_OPS : Restrictions.h

### - q -

- Q_AF_INET : common.h
- Q_AF_INET6 : common.h
- Q_AF_UNSPEC : common.h
- Q_SOCK_STREAM : common.h
- QDOM_DATABASE : Restrictions.h
- QDOM_DEFAULT : Restrictions.h
- QDOM_EMBEDDED_LOGIC : Restrictions.h
- QDOM_EXTERNAL_INFO : Restrictions.h
- QDOM_EXTERNAL_PROCESS : Restrictions.h
- QDOM_FILESYSTEM : Restrictions.h
- QDOM_GUI : Restrictions.h
- QDOM_IN_MODULE : Restrictions.h
- QDOM_LOCALE_CONTROL : Restrictions.h
- QDOM_MODULES : Restrictions.h
- QDOM_NETWORK : Restrictions.h
- QDOM_PROCESS : Restrictions.h
- QDOM_TERMINAL_IO : Restrictions.h
- QDOM_THREAD_CLASS : Restrictions.h
- QDOM_THREAD_CONTROL : Restrictions.h
- QDOM_THREAD_INFO : Restrictions.h
- QFT_ERROR : qore_thread.h
- QFT_OK : qore_thread.h
- QFT_REGISTERED : qore_thread.h
- QLO_CLEANUP_MASK : Qore.h
- QLO_DISABLE_OPENSSL_CLEANUP : Qore.h
- QLO_DISABLE_OPENSSL_INIT : Qore.h
- QLO_DISABLE_OPENSSL_INIT_CLEANUP : Qore.h
- QLO_DISABLE_SIGNAL_HANDLING : Qore.h
- QLO_NONE : Qore.h
- QO_OPTION : QoreLib.h
- QORE_MAX : QoreLib.h
- QORE_MIN : QoreLib.h
- QORE_MODULE_API_MAJOR : ModuleManager.h
- QORE_MODULE_API_MINOR : ModuleManager.h
- QORE_MODULE_COMPAT_API_MAJOR : ModuleManager.h
- QORE_MODULE_COMPAT_API_MINOR : ModuleManager.h
- QORE_NUM_TYPES : node_types.h
- QORE_OPT_ATOMIC_OPERATIONS : QoreLib.h
- QORE_OPT_FILE_LOCKING : QoreLib.h
- QORE_OPT_FUNC_FORK : QoreLib.h
- QORE_OPT_FUNC_GETPPID : QoreLib.h
- QORE_OPT_FUNC_IS_EXECUTABLE : QoreLib.h
- QORE_OPT_FUNC_KILL : QoreLib.h
- QORE_OPT_FUNC_ROUND : QoreLib.h
- QORE_OPT_FUNC_SETEGID : QoreLib.h
- QORE_OPT_FUNC_SETEUID : QoreLib.h
- QORE_OPT_FUNC_SETSID : QoreLib.h
- QORE_OPT_FUNC_STATVFS : QoreLib.h
- QORE_OPT_FUNC_SYSTEM : QoreLib.h
- QORE_OPT_FUNC_TIMEGM : QoreLib.h
- QORE_OPT_LIBRARY_DEBUGGING : QoreLib.h
- QORE_OPT_MD2 : QoreLib.h
- QORE_OPT_MDC2 : QoreLib.h
- QORE_OPT_RC5 : QoreLib.h
- QORE_OPT_RUNTIME_STACK_TRACE : QoreLib.h
- QORE_OPT_SHA224 : QoreLib.h
- QORE_OPT_SHA256 : QoreLib.h
- QORE_OPT_SHA384 : QoreLib.h
- QORE_OPT_SHA512 : QoreLib.h
- QORE_OPT_SIGNAL_HANDLING : QoreLib.h
- QORE_OPT_STACK_GUARD : QoreLib.h
- QORE_OPT_TERMIOS : QoreLib.h
- QORE_OPT_UNIX_FILEMGT : QoreLib.h
- QORE_OPT_UNIX_USERMGT : QoreLib.h